/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      2.0.0
 Text Domain:  woodmart
*/


/* CUSTOMIZE CSS  */ 

.wd-cat img {
    aspect-ratio: 1;
    object-fit: cover;
}
.stratch {
    height: 100%;
}
.stratch .wd-spots {
    height: 100%;
}
.stratch .wd-spots .wd-image-hotspot-hotspots {
    height: 100%;
}
.stratch .wd-spots img.wd-image-hotspot-img {
    height: 100%;
    object-fit: cover;
}
.wd-switch-to-register {
    color: #fff;
}
.promo-banner .wrapper-content-banner {
    padding: 20px !important;
}
/* .wd-buttons .wd-action-btn>a {
    color: #fff;
} */
.wd-entities-title a {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.widget_price_filter [class*="price_slider_amount"] .button {
    color: #fff;
}
.brands_sec .wd-info-box {
    background-blend-mode: overlay;
    background-color: rgb(0 0 0 / 20%);
}
.wd-product.wd-hover-buttons-on-hover .wd-buttons {
    opacity: 1;
}
.category_sec h3.wd-entities-title {
    color: #151515;
    display: inline-block;
    padding: 10px 17px;
    background-color: #fff;
    border-radius: 25px;
}
.whb-column:has(.site-logo) {
    justify-content: center;
}
.contact_detail .elementor-icon-wrapper {
    display: flex;
}
.map iframe {
    border-radius: 30px;
}
.hour_table td {
    padding: 0;
    border: 0;
}
.header_head p a{
    font-size: 24px;
    color: #c71585 !important;
    text-transform: uppercase;
    font-weight: 700;
}

ul#menu-main-navigation li a img {
    filter: brightness(0) invert(1);
}
.whb-header-bottom * {
/*     filter: brightness(0) invert(1); */
    color: #fff;
}
.whb-header-bottom ul#menu-main-navigation > li > a img {
    filter: brightness(0) invert(1);
}
.wd-dropdown-menu.wd-dropdown ul.wd-sub-menu a.woodmart-nav-link {
    color: #000;
    font-size: 16px;
    padding: 9px 0 !important;
    height: unset;
}
.wd-nav>li:is(.wd-has-children,.menu-item-has-children)>a:after {
    color: #fff !important;
}
/* 3-2-2026 */
.wd-add-btn.wd-add-btn-replace{
	    border-radius: 35px;
    padding: 1px;
    background: linear-gradient(45deg, #EC2B60, #ED7B4C , #53C2A8 , #56C3A5 , #26C1E1);
}
.wd-add-btn.wd-add-btn-replace a{ 
    background: white !important;
    color: #454545 !important;
	    text-transform: uppercase !important;
	font-weight:900 !important;
}
.map_sec iframe{
	  min-height: 573px;
}
.map_title h3 {
    width: fit-content;
    background: linear-gradient(90.04deg, #EB0D67 0.03%, #EEB43E 41.39%, #6FC383 66.3%, #1EC1ED 85.11%);
    -webkit-text-fill-color: transparent;
    background-clip: text;
}
 .wd-add-btn.wd-add-btn-replace a span {
    letter-spacing: 0.05em;
    line-height: 1.1;
}
.wd-product.product-list-item .wd-add-btn {
    display: inline-flex;
    width: max-content;
}
.featured_pro .tabs-name.title + div {
    display: none;
}
.ftr_inr ul li a {
    padding-top: 0 !important;
    padding-bottom: 10px !important;
}
.wd-copyrights.copyrights-wrapper.wd-layout-two-columns .container.wd-grid-g {
    padding: 0;
}
.category-grid-item .wd-cat-count>a{
	color: white !important;
}
.our_mission::after {
    content: "";
    width: 5px;
    height: 99%;
    background: url(https://x5b.087.myftpupload.com/wp-content/uploads/2026/02/Frame-8.webp);
    top: 5px;
    left: 0px;
    position: absolute;
}
/* header */
ul#menu-main-navigation {
    gap: 5px 33px;
}
ul#menu-main-navigation>li a.woodmart-nav-link:hover {
    text-decoration: underline;
}
ul#menu-main-navigation-1 li a img {
    filter: brightness(0);
}
p.woocommerce-mini-cart__buttons.buttons a.button.btn-cart.wc-forward {
    color: white;
}


.wd-page-content.main-page-wrapper .wd-page-title.page-title::after {
	  content: "";
    width: 100%;
    height: 100%;
    background: #0000004a;
    left: 0;
    top: 0;
    position: absolute;
}
.wd-page-content.main-page-wrapper .wd-page-title.page-title {
    padding: 80px 0;
}

.wd-page-content.main-page-wrapper .wd-page-title.page-title .container{
	  z-index: 1;
}
.product_list_widget>li .cart-info .wd-entities-title {
    font-size: 14px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}
.wd-progress-bar.wd-free-progress-bar p {
    font-size: 14px;
}
.woocommerce-mini-cart__buttons .btn-cart:hover {
    background: var(--btn-accented-bgcolor-hover);
}
div .wd-page-title .title {
    font-size: 64px;
}
tr.cart_item td.product-name a {
    text-transform: lowercase;
    font-weight: 600;
    font-size: 18px;
}
.woocommerce-privacy-policy-text p {
    font-size: 16px;
} 
label.woocommerce-form__label.woocommerce-form__label-for-checkbox {
    font-size: 14px;
} 
.wc_payment_methods .woocommerce-info {
    font-size: 14px;
    padding-left: 40px !important;
    padding-right: 10px !important;
}
.wc_payment_methods .woocommerce-info::before {
    left: 12px;
    top: 27px;
}
.wd-checkout-prod-title span.cart-product-label {
    font-size: 14px;
    overflow: hidden;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    font-weight: 600;
    color: #242424;
}
.wd-cart-totals .wc-proceed-to-checkout .checkout-button {
    font-size: 16px;
}
.contact_map iframe{
    max-height: 300px;
}
.wd-wishlist-content img.size-woocommerce_thumbnail {
    aspect-ratio: 1;
    object-fit: cover;
}
.contact_form textarea {
    min-height: 140px;
}
.contact_form input,
.contact_form textarea{
	border-radius:10px;
	font-size:18px;
}

.contact_form div {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(2, 1fr);
}
.woocommerce-product-gallery .wd-nav-arrows .wd-arrow-inner {
    background: var(--e-global-color-accent);
    color: #fff;
    border-radius: 50%;
}
.widget_price_filter [class*="price_slider_amount"] .button {
    color: #fff;
}
.wd-gallery-thumb .wd-carousel-item {
    height: auto;
}
.wd-gallery-thumb .wd-carousel-item img {
    aspect-ratio: 1;
    object-fit: cover;
}
html .elementor-widget-wd_single_product_add_to_cart .wd-buy-now-btn {
    background: #8DB44C;
}
html .elementor-widget-wd_single_product_add_to_cart .wd-buy-now-btn:hover {
    background: var(--btn-accented-bgcolor);
}
td.compare-value p {
    font-size: 16px;
}
div .woocommerce-mini-cart__buttons .btn-cart:hover {
    background: var(--btn-accented-bgcolor-hover);
}
.wd-posts.wd-blog-holder .wd-post-img img {
    aspect-ratio: 1;
    object-fit: cover;
}
.whb-flex-row.whb-header-bottom-inner {
    height: unset;
    max-height: unset;
}
.whb-header-bottom a.woodmart-nav-link {
    height: 50px;
	font-size: 16px;
}


.tweakit-shipping-icon {
    display: inline-flex;
    align-items: center;
    gap: 6px;
    font-size: 13px;
    font-weight: 500;
}
.tweakit-shipping-icon img {
    display: block;
    height: auto;
    min-width: 34px !important;
    height: auto;
}
span.tweakit-shipping-text {
    font-size: 18px;
    color: #333 !important;
    FONT-WEIGHT: 600;
} 
.elementor-shortcode:has(>.tweakit-shipping-icon) {
    display: flex;
    align-items: center;
}


@media(max-width:1420px){
	.wd-copyrights.copyrights-wrapper.wd-layout-two-columns .container.wd-grid-g {
    padding: 0 15px;
}
}
@media(max-width:1390px){
	ul#menu-main-navigation {
    gap: 5px 25px;
}
	
}
	@media(max-width:1265px){
		
	ul#menu-main-navigation {
    gap: 5px 10px;
}
		ul#menu-main-navigation li a{
			font-size:15px !important;
		}
		div .wd-page-title .title {
    font-size: 48px;
}
}

@media(max-width:1024px){
	.contact_form div {
    grid-template-columns: repeat(1, 1fr);
}
	body.blog .wd-page-wrapper.website-wrapper main div.wd-posts {
    grid-template-columns: repeat(3, 1fr);
}
}

@media(max-width:768px){
	.map_sec iframe {
    min-height: 200px;
}
	.contact_map iframe {
    max-height: 200px;
}
	.contact_map iframe {
    min-height: 200px;
}
	div .wd-page-title .title {
    font-size: 38px;
}
	.header_head p a {
        font-size: 16px;
    }
	.contact_form input,
.contact_form textarea{
	border-radius:10px;
	font-size:14px;
}
	body.blog .wd-page-wrapper.website-wrapper main div.wd-posts {
    grid-template-columns: repeat(1, 1fr);
}
}
/* 3-2-2026 */


/* dev7 */

body .widget_price_filter [class*="price_slider_amount"] .button {
    color: #fff;
} 

body .wd-cats-toggle {
    font-size: 16px;
} 

body .wd-cats-toggle {
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
} 

.tweakit-shipping-bugde {
    position: absolute;
    top: 10px;
    z-index: 2;
    right: 10px;
    background: #fff;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.elementor-widget-shortcode:has(>.elementor-shortcode .tweakit-shipping-bugde) {
    position: unset;
}

.tweakit-shipping-bugde img {
    width: 50px;
}
.single-product span.attribute-label.product-label ,
.product-wrapper span.attribute-label.product-label{
    display: none;
}